Hello all,
i am trying to install the alsa drivers for sound.
i got the following files in my alsa directory...

# ls
alsa-driver-1.0.5a-1.src.rpm
alsa-lib-1.0.4-1.1.fc1.fr.i386.rpm
alsa-utils-1.0.4-1.1.fc1.fr.i386.rpm
kernel-module-alsa-1.0.2-1.fr_2.4.22_1.2115.nptl.i686.rpm
kernel-smp-module-alsa-1.0.2-1.fr_2.4.22_1.2115.nptl.i686.rpm


when i run the install command, i get the following error message,

# rpm -ivh *.rpm
warning: alsa-driver-1.0.5a-1.src.rpm: V3 DSA signature: NOKEY, key ID e42d547b
error: Failed dependencies:
alsa-driver >= 1.0.0 is needed by alsa-utils-1.0.4-1.1.fc1.fr
alsa-driver >= 0.9.0 is needed by kernel-module-alsa-1.0.2-1.fr_2.4.22_1.2115.nptl
alsa-driver >= 0.9.0 is needed by kernel-smp-module-alsa-1.0.2-1.fr_2.4.22_1.2115.nptl
kernel-smp = 2.4.22-1.2115.nptl is needed by kernel-smp-module-alsa-1.0.2-1.fr_2.4.22_1.2115.nptl

My systems configuration is:
OS: RHFC1
Kerenel:2.4.22-1.2115.nptl
Processor: i686

my another problem is i do not have gcc installed,i tried to do so using the FC1 cd's but got an <error 2> in the title bar in GUI mode.
thanks.